List a display queue
GET
/api/sdk/v1/displays/{displayId}/queueReturns presentations queued for a display, optionally within a time range.
Authorization
bearerAuth AuthorizationBearer <token>
A personal access token created in the inklet portal. Server-side use only.
In: header
Path Parameters
displayId*string
Length
1 <= lengthQuery Parameters
cursor?string
Opaque cursor returned by the previous page.
Length
1 <= lengthlimit?integer
Number of items to return.
Range
1 <= value <= 50Default
20from?string
Inclusive lower timestamp bound.
Format
date-timeto?string
Inclusive upper timestamp bound; must not be earlier than from.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/sdk/v1/displays/string/queue"{ "nextCursor": "string", "hasMore": true, "items": [ { "id": "string", "displayId": "string", "contentIds": [ "string" ], "mode": "", "state": "preparing", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}